org.eclipse.emf.cdo.spi.common

## Interface CDORawReplicationContext

- All Superinterfaces:
    CDOReplicationInfo
  All Known Subinterfaces:
    InternalFailoverParticipant, InternalSynchronizableRepository

      public interface CDORawReplicationContext
      extends CDOReplicationInfo

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `replicateRaw(CDODataInput in, OMMonitor monitor)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.CDOReplicationInfo

      `getLastReplicatedBranchID, getLastReplicatedCommitTime, getLockAreaIDs`

- - ### Method Detail

    - #### replicateRaw

          void replicateRaw(CDODataInput in,
                            OMMonitor monitor)
                     throws IOException

      Throws:
        `IOException`
      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html